ATA_SCSIOP_INQ_80(9)

NAME
ata_scsiop_inq_80 - Simulate INQUIRY VPD page 80, device serial number

SYNOPSIS

unsigned int ata_scsiop_inq_80(struct ata_scsi_args * args, u8 * rbuf);

ARGUMENTS

args
    device IDENTIFY data / SCSI command of interest.

rbuf
    Response buffer, to which simulated SCSI cmd output is sent.

DESCRIPTION

Returns ATA device serial number.

LOCKING

spin_lock_irqsave(host lock)

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT